* {
  box-sizing: border-box;
}

body {
  /* background: #333; */
}

html,
body,
#arena {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.center-stretch-container {
  display: flex;
  justify-content: space-around;
  align-items: stretch;
}

.spacer {
  flex-grow: 1;
  flex-shrink: 0;
}

#arena {
  flex-direction: column;
  position: relative;
}
#arena.debug .spacer-v {
  /* background: green; */
}
#arena.debug .spacer-v .spacer-h {
  /* background: grey; */
}
#arena.debug .spacer-h {
  /* background: purple; */
}
#arena.debug #arena-bottom-center #debug {
  display: flex;
}
#arena #arena-top,
#arena #arena-bottom {
  position: relative;
  flex-direction: row;
  height: 1px;
}
#arena #arena-top-center {
  width: 640px;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
}
#arena #arena-bottom-center #debug {
  display: none;
  padding: 32px;
  width: 400px;
  flex-direction: column;
}
#arena #arena-bottom-center #debug .key-val {
  display: flex;
  flex-direction: row;
}
#arena #arena-middle {
  flex-direction: row;
}
#arena #main.center {
  background: #bbb;
}
#arena #main.center.view-main #section-main {
  display: flex;
}
#arena #main.center #section-main {
  width: 400px;
  display: none;
  flex-direction: column;
  align-items: stretch;
  padding: 8px;
}
#arena #main.center #section-main .content-box {
  background: #ddd;
  margin: 4px;
  border-radius: 4px;
}
#arena #main.center #section-main header {
  display: flex;
  flex-direction: row;
}
#arena #main.center #section-main header .name-container {
  flex-grow: 1;
  display: flex;
  align-items: center;
  border-radius: 4px;
  padding-left: 8px;
  margin-right: 4px;
}
#arena #main.center #section-main header .name-container .name {
  flex-grow: 1;
  margin-right: 8px;
}
#arena #main.center #section-main header .settings-container {
  border-radius: 4px;
}
#arena #main.center #section-main main {
  height: 400px;
  display: flex;
  align-items: stretch;
}
#arena #main.center #section-main main #welcome {
  flex-grow: 1;
  padding: 24px;
}
#arena #main.center #section-main footer {
  display: flex;
  flex-direction: row;
}
#arena #main.center #section-main footer .join-container {
  flex-grow: 1;
  display: flex;
  align-items: center;
  border-radius: 4px;
  padding-left: 8px;
  margin-right: 4px;
}
#arena #main.center #section-main footer .join-container #room-id {
  flex-grow: 1;
  border-radius: 4px;
  border: 2px solid #aaa;
  background: #f0f0f0;
  margin-right: 8px;
}
#arena #main.center #section-main footer .create-container {
  border-radius: 4px;
  display: flex;
  align-items: stretch;
}
#arena #main.center.view-settings #section-settings {
  display: flex;
}
#arena #main.center #section-settings {
  width: 400px;
  display: none;
  flex-direction: column;
  align-items: stretch;
  padding: 8px;
}
#arena #main.center.view-room #section-room {
  display: flex;
}
#arena #main.center #section-room {
  width: 400px;
  display: none;
  flex-direction: column;
  align-items: stretch;
  padding: 8px;
}
#arena #main.center.view-wof #section-wof {
  display: flex;
}
#arena #main.center #section-wof {
  width: 1200px;
  height: 800px;
  display: none;
  position: relative;
}
#arena #main.center #section-wof #frame {
  position: absolute;
  left: 385px;
  top: 50px;
  width: 430px;
  height: 430px;
  background: black;
}
#arena #main.center #section-wof #frame #frame-1 {
  left: -200px;
  top: 0px;
  width: 830px;
  height: 430px;
  background: #d6daff;
}
#arena #main.center #section-wof #frame #frame-1:after {
  left: -60px;
  top: 80px;
  width: 950px;
  height: 270px;
  background: #d6daff;
}
#arena #main.center #section-wof #frame #frame-2 {
  left: -180px;
  top: 20px;
  width: 790px;
  height: 390px;
  background: #59d8ff;
}
#arena #main.center #section-wof #frame #frame-2:after {
  left: -60px;
  top: 80px;
  width: 910px;
  height: 230px;
  background: #59d8ff;
}
#arena #main.center #section-wof #frame #frame-3 {
  left: -170px;
  top: 30px;
  width: 770px;
  height: 370px;
  background: blue;
}
#arena #main.center #section-wof #frame #frame-3:after {
  left: -60px;
  top: 80px;
  width: 890px;
  height: 210px;
  background: blue;
}
#arena #main.center #section-wof #frame #frame-4 {
  left: -165px;
  top: 35px;
  width: 760px;
  height: 360px;
  background: #0598ff;
}
#arena #main.center #section-wof #frame #frame-4:after {
  left: -60px;
  top: 80px;
  width: 880px;
  height: 200px;
  background: #0598ff;
}
#arena #main.center #section-wof #frame #frame-5 {
  left: -145px;
  top: 55px;
  width: 720px;
  height: 320px;
  background: #139b5c;
}
#arena #main.center #section-wof #frame #frame-5:after {
  left: -60px;
  top: 80px;
  width: 840px;
  height: 160px;
  background: #139b5c;
}
#arena #main.center #section-wof #frame .cross {
  box-sizing: border-box;
  position: absolute;
}
#arena #main.center #section-wof #frame .cross:after {
  content: "";
  box-sizing: border-box;
  position: absolute;
}
#arena #main.center #section-wof #frame .letter-row {
  position: absolute;
  height: 80px;
}
#arena #main.center #section-wof #frame .letter-row#letter-row-1 {
  left: -145px;
  top: 55px;
  width: 720px;
}
#arena #main.center #section-wof #frame .letter-row#letter-row-2 {
  left: -205px;
  top: 135px;
  width: 840px;
}
#arena #main.center #section-wof #frame .letter-row#letter-row-3 {
  left: -205px;
  top: 215px;
  width: 840px;
}
#arena #main.center #section-wof #frame .letter-row#letter-row-4 {
  left: -145px;
  top: 295px;
  width: 720px;
}
#arena #main.center #section-wof #frame .letter-row .letter {
  position: absolute;
  width: 60px;
  height: 80px;
  box-sizing: border-box;
  border: 1.5px solid #139b5c;
  background: #333;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(1) {
  left: 0px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(2) {
  left: 60px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(3) {
  left: 120px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(4) {
  left: 180px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(5) {
  left: 240px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(6) {
  left: 300px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(7) {
  left: 360px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(8) {
  left: 420px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(9) {
  left: 480px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(10) {
  left: 540px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(11) {
  left: 600px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(12) {
  left: 660px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(13) {
  left: 720px;
}
#arena #main.center #section-wof #frame .letter-row .letter:nth-child(14) {
  left: 780px;
}
#arena #main.center #section-wof #frame .letter-row .letter .letter-inner {
  position: absolute;
  left: 7.5px;
  top: 7.5px;
  width: 42px;
  height: 62px;
  background: #139b5c;
  font-size: 57px;
  font-weight: bold;
  text-align: center;
}
#arena #main.center #section-wof #frame .letter-row .letter .letter-inner.filled {
  background: #ffe3cf;
  color: #ffe3cf;
}
#arena #main.center #section-wof #frame .letter-row .letter .letter-inner.active {
  background: #384bfb;
  color: #384bfb;
}
#arena #main.center #section-wof #frame .letter-row .letter .letter-inner.revealed {
  color: #333;
}

button.fa {
  border: none;
  outline: none;
  background: none;
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 40px;
  height: 40px;
}
button.fa:hover {
  border: 1px solid #888;
}